import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<h1 id='mainheader'>My IgniteUI Angular2 App</h1>
    <h2>igValidator</h2>
        <form id="validator1">
            <ig-text-editor [widgetId]='teId' [options]='teOpts'></ig-text-editor>
        </form>
        <ig-validator [widgetId]='id' [options]='opts'></ig-validator>
    `
})
export class AppComponent {
    private id: string = 'validator1';
    private teId: string = 'editor1';
    private opts: any;
    private teOpts: any = {};

   constructor() {
       this.opts = { onsubmit: true,
        successMessage: "Valid",
        fields: [{
            required: true,
            selector: "#editor1",
            valueRange: [2],
            onblur: true,
            custom: function (value, fieldOptions) {
                var myRegEx = /^[a-zA-Z]+$/;
                var isValid = myRegEx.test(value);
                return isValid;
            }
        }
       ]};
   }
 }
